[POST] ~/email/sendmail

Sends an email to the default contact address of the owner group.

Request Information

URI Parameters

None.

Body Parameters

The request.

An instance of: ContactModel
NameDescriptionType
Type

Gets or sets the type.

InquiryType

AdditionalAnnotation

Gets or sets the additional annotation.

string

SendCopyToMe

Gets or sets a value indicating whether the send copy to me.

boolean

ContactByEmail

Gets or sets a value indicating whether the contact by email.

boolean

ContactByTelephone

Gets or sets a value indicating whether the contact by telephone.

boolean

ConsentPrivacyPolicy

Gets or sets a value indicating whether the user consented to the privacy policy.

boolean

GoogleAdTrackingInfo

Gets or sets information describing the google ad tracking.

GoogleAdTrackingInfo

GoogleReCaptchaInfo

Gets or sets information describing the google re captcha.

GoogleReCaptchaInfo

OptInConfirmUrl

Gets or sets URL of the option in confirm.

string

ImprintUrl

Gets or sets URL of the imprint.

string

PrivacyUrl

Gets or sets URL of the privacy statement.

string

Reference

Gets or sets the reference.

string

Culture

Gets or sets the culture.

string

Firstname

Gets or sets the firstName.

string

Surname

Gets or sets the surname.

string

Salutation

Gets or sets the salutation.

string

Title

Gets or sets the title.

string

Company

Gets or sets the company.

string

StreetNumber

Gets or sets the street number.

string

ZipCode

Gets or sets the zip town.

string

Town

Gets or sets the town.

string

Telephone

Gets or sets the town.

string

EmailAddress

Gets or sets the email address.

string

Request Formats

application/json, text/json

Sample:
{
  "type": "Callback",
  "additionalAnnotation": "sample string 1",
  "sendCopyToMe": true,
  "contactByEmail": true,
  "contactByTelephone": true,
  "consentPrivacyPolicy": true,
  "googleAdTrackingInfo": {
    "campaignId": "sample string 1",
    "source": "sample string 2",
    "keywords": [
      "sample string 1",
      "sample string 2"
    ]
  },
  "googleReCaptchaInfo": {
    "reCaptchaCode": "sample string 1"
  },
  "optInConfirmUrl": "sample string 6",
  "imprintUrl": "sample string 7",
  "privacyUrl": "sample string 8",
  "reference": "sample string 9",
  "culture": "sample string 10",
  "firstname": "sample string 11",
  "surname": "sample string 12",
  "salutation": "sample string 13",
  "title": "sample string 14",
  "company": "sample string 15",
  "streetNumber": "sample string 16",
  "zipCode": "sample string 17",
  "town": "sample string 18",
  "telephone": "sample string 19",
  "emailAddress": "sample string 20"
}

Response Information

Resource Description

An IHttpActionResult.

An instance of: HttpResponseMessage
NameDescriptionType
Version

Version

Content

HttpContent

StatusCode

HttpStatusCode

ReasonPhrase

string

Headers

Collection of Object

RequestMessage

HttpRequestMessage

IsSuccessStatusCode

boolean